import { createContext, useContext } from 'react';
import { jsx } from 'react/jsx-runtime';

// eslint-disable-next-line @typescript-eslint/no-explicit-any
const EdsDataGridContext = /*#__PURE__*/createContext({
  enableSorting: false,
  stickyHeader: false,
  enableColumnFiltering: false,
  table: null
});
function TableProvider({
  children,
  ...props
}) {
  return /*#__PURE__*/jsx(EdsDataGridContext.Provider, {
    value: props,
    children: children
  });
}
const useTableContext = () => useContext(EdsDataGridContext);

export { EdsDataGridContext, TableProvider, useTableContext };
