import { Table } from '@equinor/eds-core-react';
import { TableBodyCell } from './TableBodyCell.js';
import { useTableContext } from '../EdsDataGridContext.js';
import styled from 'styled-components';
import { jsx } from 'react/jsx-runtime';

function TableRow({
  row
}) {
  const {
    rowClass,
    rowStyle
  } = useTableContext();
  return /*#__PURE__*/jsx(StyledTableRow, {
    style: {
      cursor: row.getCanSelect() ? 'pointer' : 'inherit',
      ...(rowStyle?.(row) ?? {})
    },
    className: `${row.getIsSelected() ? 'selected' : ''} ${rowClass?.(row)}`,
    onClick: () => row.getCanSelect() ? row.toggleSelected() : null,
    children: row.getVisibleCells().map(cell => /*#__PURE__*/jsx(TableBodyCell, {
      cell: cell
    }, cell.id))
  });
}

// Neccessary to have this attribute as class to prevent overriding hover color
const StyledTableRow = styled(Table.Row).withConfig({
  displayName: "TableRow__StyledTableRow",
  componentId: "sc-1vjfq5p-0"
})(["background-color:inherit;"]);

export { TableRow };
